Last Comment Bug 662086 - jsval.h:466:5: warning: C++ style comments are not allowed in ISO C90
: jsval.h:466:5: warning: C++ style comments are not allowed in ISO C90
Status: RESOLVED FIXED
[build_warning][fixed-in-tracemonkey]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Daniel Holbert [:dholbert]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 658351
  Show dependency treegraph
 
Reported: 2011-06-04 14:25 PDT by Daniel Holbert [:dholbert]
Modified: 2011-06-13 10:58 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
trivial fix. (use /**/ comments instead) (1.44 KB, patch)
2011-06-04 14:25 PDT, Daniel Holbert [:dholbert]
mrbkap: review+
Details | Diff | Splinter Review

Description Daniel Holbert [:dholbert] 2011-06-04 14:25:31 PDT
Created attachment 537380 [details] [diff] [review]
trivial fix. (use /**/ comments instead)

This changeset:
  http://hg.mozilla.org/mozilla-central/rev/14b1ffc1bf53
added some C++ style "//" comments to jsval.h, which gets included by .c files, and triggers this GCC warning:
> jsval.h:466:5: warning: C++ style comments are not allowed in ISO C90

Fix attached.
Comment 1 Blake Kaplan (:mrbkap) 2011-06-06 08:39:55 PDT
Comment on attachment 537380 [details] [diff] [review]
trivial fix. (use /**/ comments instead)

Can you reword the comment so it fits on one line? If not, the style in the JS engine for multi-line comments is:

/*
 * Comment here...
 */
Comment 2 Daniel Holbert [:dholbert] 2011-06-11 17:31:00 PDT
Converted to correct multi-line style & landed:
http://hg.mozilla.org/tracemonkey/rev/49cfb12c2225
Comment 3 Chris Leary [:cdleary] (not checking bugmail) 2011-06-13 10:58:30 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/49cfb12c2225

Note You need to log in before you can comment on or make changes to this bug.